package org.springblade.system.service;

import org.springblade.common.core.domain.AjaxResult;
import org.springblade.common.core.domain.R;
import org.springblade.system.domain.DaKyProFilesContentsDto;
import org.springblade.system.domain.RectificationDto;
import org.springblade.system.domain.vo.DaKyProFilesContentsVo;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/9/11 - 13:32
 */
public interface FileManageService {
    List<DaKyProFilesContentsDto> list(DaKyProFilesContentsDto daKyProFilesContentsDto);

    List<DaKyProFilesContentsDto> FileManage(DaKyProFilesContentsDto dto);

    R saveFileManage(DaKyProFilesContentsDto dto);
    R saveFileManage(DaKyProFilesContentsVo dto);

    R updateFileManage(DaKyProFilesContentsDto dto);
    R updateFileManage(DaKyProFilesContentsVo dto);

    Integer delFileManage(DaKyProFilesContentsDto dto);

    Integer updateIntegrityStatus(DaKyProFilesContentsDto dto);

    Integer getMaxSort(DaKyProFilesContentsDto dto);

    Integer getSortById(String id);

    List<DaKyProFilesContentsDto> getFileManageTree(DaKyProFilesContentsDto dto);

    DaKyProFilesContentsDto getFileManageById(DaKyProFilesContentsDto dto);

    DaKyProFilesContentsVo getFileById(Long id);

	AjaxResult addRectification(RectificationDto dto);
	AjaxResult updateRectification(RectificationDto dto);

	List<RectificationDto> selectRectificationList(RectificationDto dto);

	AjaxResult delRectification(RectificationDto dto);

	AjaxResult issue(RectificationDto dto);
}
